API referenceForums
Set Post Status
PUT
/api/v1/servers/{guild}/posts/{thread}/statusAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$thread*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/v1/servers/string/posts/string/status" \ -H "Content-Type: application/json" \ -d '{ "tag": "string" }'{ "thread": "string", "guild": "string", "forum": "string", "author": "string", "authorName": "string", "title": "string", "tags": [ "string" ], "votes": 0, "archived": true, "assignee": "string", "assigneeName": "string", "createdAt": "2019-08-24T14:15:22Z"}